cc.funkemunky.api.metrics

## Class Metrics.MultiLineChart

- java.lang.Object
- - cc.funkemunky.api.metrics.Metrics.CustomChart
  - - cc.funkemunky.api.metrics.Metrics.MultiLineChart

Enclosing class:
  Metrics

    public static class Metrics.MultiLineChart
    extends Metrics.CustomChart

Represents a custom multi line chart.

### Constructor Summary

Constructors
Constructor and Description
`MultiLineChart(java.lang.String chartId, java.util.concurrent.Callable<java.util.Map<java.lang.String,java.lang.Integer>> callable)` Class constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.json.simple.JSONObject` `getChartData()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiLineChart

    public MultiLineChart(java.lang.String chartId,
                          java.util.concurrent.Callable<java.util.Map<java.lang.String,java.lang.Integer>> callable)

Class constructor.

Parameters:
  `chartId` - The id of the chart.
  `callable` - The callable which is used to request the chart data.

### Method Detail

#### getChartData

    protected org.json.simple.JSONObject getChartData()
                                               throws java.lang.Exception

Specified by:
  `getChartData` in class `Metrics.CustomChart`
Throws:
  `java.lang.Exception`